Workspace switcher useless with one workspace

Reported by Michael Terry on 2010-11-19
66
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Unassigned
Unity
Low
Marco Trevisan (Treviño)
unity (Ubuntu)
Low
Marco Trevisan (Treviño)

Bug Description

Binary package hint: unity

I had one workspace configured before I switched to compiz-unity. In pre-compiz unity, clicking it would "expose" all windows in all apps.

In compiz-unity, clicking on the workspace button does nothing, which is a bad experience. I would propose either:
*) Bring back the all-window expose behavior
*) Don't show the button at all if only one workspace
*) Something else useful

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.1.4-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.37-5.13-generic 2.6.37-rc2
Uname: Linux 2.6.37-5-generic x86_64
Architecture: amd64
Date: Fri Nov 19 13:39:20 2010
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: unity

Related branches

lp:~ruben-verweij-deactivatedaccount/unity/fix-677594-workspaces
Merged into lp:unity at revision 860
David Barth: Approve on 2011-02-21
Jason Smith (community): Approve on 2011-02-15
Ruben Verweij (community): Resubmit on 2011-02-10
Alex Launi (community): Needs Fixing on 2011-02-01
Neil J. Patel: Pending requested 2010-12-09
Michael Terry (mterry) wrote :
Didier Roche (didrocks) wrote :

The default will be 4 ws and there will be a dedicated effect (if time permits) for one ws.

Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in unity:
importance: Undecided → Low
Didier Roche (didrocks) on 2010-12-03
tags: added: bitesize
Armor Nick (nickstories) wrote :

I don't know the code to check the number of workspaces yet, but just for future reference the lines where a single if is needed to stop the workspaces icon from showing (perhaps for a Unity hack or something):

LauncherController.h under the constructor of LauncherController (at the time of writing line 42)

Joan Jimenez (joajimenez) wrote :

Also, why do we need to click 3 times to switch from one workspace tho another. On Pre-Compiz I only needed to clic 2 time to switch and now i need to make one more click.

jackdamiels (jackdamiels) wrote :

3 clicks is because there is option for selecting different windows in workspace switcher with one click.

toineo (toineo) wrote :

Hi !

May I know what is the status of this bug ? I see that some related branches were already merged, but I am affected by this bug (well, once I switch to only one ws, the ws icon is still here... Is it the desired behavior ?)

If the icon has to disappear , I made some really minor changes, and it seems to work on my system (update-to-date 11.10 with unity from trunk). The diff is attached

toineo, Could you please propose your fix with a branch and propose it
to lp:unity

On Fri, Aug 5, 2011 at 6:19 PM, toineo <email address hidden> wrote:
> Hi !
>
> May I know what is the status of this bug ? I see that some related
> branches were already merged, but I am affected by this bug (well, once
> I switch to only one ws, the ws icon is still here... Is it the desired
> behavior ?)
>
> If the icon has to disappear , I made some really minor changes, and it
> seems to work on my system (update-to-date 11.10 with unity from trunk).
> The diff is attached
>
> ** Patch added: "677594.diff"
>   https://bugs.launchpad.net/unity/+bug/677594/+attachment/2256213/+files/677594.diff
>
> --
> You received this bug notification because you are subscribed to unity.
> https://bugs.launchpad.net/bugs/677594
>
> Title:
>  Workspace switcher useless with one workspace
>
> Status in Unity:
>  Triaged
> Status in “unity” package in Ubuntu:
>  Triaged
>
> Bug description:
>  Binary package hint: unity
>
>  I had one workspace configured before I switched to compiz-unity.  In
>  pre-compiz unity, clicking it would "expose" all windows in all apps.
>
>  In compiz-unity, clicking on the workspace button does nothing, which is a bad experience.  I would propose either:
>  *) Bring back the all-window expose behavior
>  *) Don't show the button at all if only one workspace
>  *) Something else useful
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.1.4-0ubuntu4
>  ProcVersionSignature: Ubuntu 2.6.37-5.13-generic 2.6.37-rc2
>  Uname: Linux 2.6.37-5-generic x86_64
>  Architecture: amd64
>  Date: Fri Nov 19 13:39:20 2010
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_GB.utf8
>   SHELL=/bin/bash
>  SourcePackage: unity
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/677594/+subscriptions
>

toineo (toineo) wrote :

Ok, I will make a branch for this fix. But before the merge request, I need a confirmation about the required behavior.
Do we want to remove the icon if we have only workspace, or rather make it trigger the scale mode ?

(mistake in my last comment : up-to-date*)

Omer Akram (om26er) wrote :

Would be better if anyone from design comment here.

Personally I think removing the workspace switcher icon is better than expose as expose is not reliable as it does not show minmized windows

Changed in unity:
status: Triaged → Incomplete
Changed in unity (Ubuntu):
status: Triaged → Incomplete
toineo (toineo) wrote :

(I switch it to "new", because incomplete bugs can expire)

tags: added: oneiric
Changed in unity:
status: Incomplete → New
Changed in unity (Ubuntu):
status: Incomplete → New
Omer Akram (om26er) wrote :

Its how design bugs are dealt with, I dont think it will expire as there is a load of other such bugs that did not expire.

Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: New → Incomplete
tags: added: patch

I second the "hide the icon" on single workspace.

On another hand, changing the icon to an "expose" related graphical solution for that icon could replace the workspace switcher if preferred by a user.

I personally use screen corner triggers (a la mac) to expose or switch desks...

Willi (strangeq) wrote :

In Unity 2D, the workspace switcher falls back to the Compiz window picker (from the Scale add-on). I believe this is the logical and desired behaviour.
But whatever is decided on the issue, Unity 2D and Unity proper should behave consistently.

Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: Incomplete → Fix Released
Changed in unity (Ubuntu):
status: Incomplete → Fix Released
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers